#############################################################################
# This is the configuration file of the benchmark kit
#############################################################################

### CONFIG Nanterre

#############################################################
# Benchkit (not touch please)
BENCHKIT_VERSION="1.0"

##############################################################
# General configuration
EMAIL_GLOBAL_REPORT="Fabrice.Kordon@lip6.fr" # empty if no global report by email (they are in the output_directory)
EMAIL_RUN_REPORT="Fabrice.Kordon@lip6.fr" # empty if no execution report by email (they are in the output_directory)
TIME_CONFINMENT="120" # duration in seconds
MEM_CONFINMENT="2048" # memory in megaByte

##############################################################
# On the origin machine (where you start everything)
export TOOL_LIST_FILE="tool_list.txt" # the file containing the list of tools/examination to be processed
export TEST_LIST_FILE="inputs_list.txt" # the file containing the list of inputs to be processed
export REMOTE_MACHINES_LIST_FILE="rmachine_list.txt" # the list of remote nodes

##############################################################
# On the execution machines (where you operate runs)
export BENCHKIT_DIR="/home/fko/MCC2013/BenchKit" # source directory in the physical machines executing the remote nodes
export OUTPUT_DIR="/home/fko/MCC2013/Outputs" # directory to put execution outputs
export VM_DIRECTORY="/home/fko/MCC2013/DiskImages" # directory where the disk images for virtual machines are located
export VM_LOGIN="mcc" # the login used on the virtual machine to execute tyour software.
