KVM=$(which qemu-kvm)
KEYBOARD=fr
HDD=$1
ISO=ubuntu-11.04-server-i386.iso

# definition, si ce n'est pas une variable d'environnement, du port VNC
if [ -z "$VNC" ] ; then
	VNC="42" 
fi
# definition, si ce n'est pas une variable d'environnement, du port redirige
if [ -z "$SSHP" ] ; then
	SSHP="2222" 
fi
# definition, si ce n'est pas une variable d'environnement, du port redirige
if [ -z "$CTRLP" ] ; then
	CTRLP="1234" 
fi
# definition, si ce n'est pas une variable d'environnement, du max memoire
if [ -z "$MEMORY" ] ; then
	MEMORY="5000" 
fi

#-monitor tcp::4444,server,nowait \
$KVM -vnc :$VNC \
	-enable-kvm\
	-smp 1\
	-cpu host \
    -daemonize \
    -k $KEYBOARD \
    -m $MEMORY \
    -drive file=$HDD \
    -net nic,vlan=1 -net user,vlan=1 -name MCC \
    -redir tcp:$SSHP::22
#-redir tcp:$CTRLP::12489

echo "Probing ssh"
while true ; do
  echo "Waiting ssh to respond"
  state=$(nmap localhost -p $SSHP -P0 -sV | grep "^$SSHP" | awk '{print $2}')
  if [ "${state}" != "closed"  ] ;then
    echo "Ssh up and responding"
    break
  fi
  sleep 1
done
#echo sleep 40
sleep 40
